#
# spec file for package dbus-1-mono (Version 0.60)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db dbus-1 desktop-translations diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc-java gdbm gdbm-devel gettext gettext-devel giflib glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv iso_ent klogd latex-ucs less libacl libart_lgpl libart_lgpl-devel libattr libcom_err libdrm libgcc libgcj libgcj-devel libgcrypt libgdiplus libgpg-error libicu libicu-devel libjpeg liblcms liblcms-devel libmng libmng-devel libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtool libxcrypt libxml2 libxml2-devel libxslt libzio m4 make man mktemp module-init-tools mono-basic mono-core mono-data mono-data-sqlite mono-devel mono-web mono-winforms ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango pango-devel passivetex patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils pyrex python python-devel qt qt-devel qt-qt3support qt-sql qt-x11 qt3 qt3-devel rcs readline rpm sed sgml-skel sqlite2 strace sysvinit tar tcpd te_latex tetex texinfo timezone unzip update-desktop-files util-linux vim xmlcharent xmltex xmlto xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           dbus-1-mono
BuildRequires:  dbus-1 doxygen gcc-java iso_ent libicu-devel libxml2-devel mono-basic mono-data-sqlite mono-devel pyrex python-devel qt-devel qt3-devel update-desktop-files xmlcharent xmlto
URL:            http://dbus.freedesktop.org/
License:        Other License(s), see package, Other uncritical OpenSource License
Group:          Development/Libraries/Other
Version:        0.60
Release:        33.2
Autoreqprov:    on
Summary:        Mono Bindings for D-BUS
Source0:        dbus-%{version}.tar.gz
Source1:        rc.boot.dbus
Source2:        dbus-1.desktop
# Please sync the patches with the other spec file!
Patch0:         dbus-gcj_fixes.diff
Patch1:         dbus-enable_fill_api_doc.diff
Patch2:         dbus-tools_autobuild.diff
Patch3:         dbus-qt3_compile_fix.diff
Patch4:         dbus-gvalue-utils-fix.diff
Patch5:         dbus-python_bindings_fix.diff
Patch7:         dbus-pedantic_compile.diff
Patch8:         dbus-qt_moc_configure.diff
Patch9:         dbus-qt_compile_fix.diff
Patch10:        dbus-monolibdir.diff
Patch11:        dbus-mono-no-examples.diff
Patch12:        dbus-mono-args.diff
Patch13:        dbus-mono-return-null.diff
Patch14:        dbus-glib-nameownerchange-workaround.diff
Patch15:        dbus-reply_pending_limit.diff
Patch16:        dbus-connection-blocks-on-poll.diff
Patch17:        dbus-mono-exit-on-disconnect.diff
Requires:       dbus-1 = %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Mono bindings for D-BUS.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%debug_package
%package -n dbus-1-gtk
Summary:        GTK based D-BUS tools
Requires:       dbus-1 = %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
Autoreqprov:    on
Group:          Development/Libraries/Other
%package -n dbus-1-java
Summary:        Mono Bindings for D-BUS
Requires:       dbus-1 = %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
Requires:       glibc-devel
Autoreqprov:    on
Group:          Development/Libraries/Other
%package -n dbus-1-python
Summary:        Mono Bindings for D-BUS
Requires:       dbus-1 = %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
Requires:       libxml2-python
Autoreqprov:    on
Group:          Development/Libraries/Other
%package -n dbus-1-qt
Summary:        Mono Bindings for D-BUS
Requires:       dbus-1 = %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
Autoreqprov:    on
Group:          Development/Libraries/Other
%package -n dbus-1-qt-devel
Summary:        Developer package for D-BUS/QT bindings
Requires:       dbus-1 = %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
Requires:       dbus-1-qt = %{version}-%{release}
Requires:       dbus-1-devel
Requires:       qt-devel
Requires:       zlib-devel
Requires:       libstdc++-devel
Autoreqprov:    on
Group:          Development/Libraries/Other
%package -n dbus-1-qt3
Summary:        Mono Bindings for D-BUS
Requires:       dbus-1 = %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
%ifarch x86_64 ppc64 s390x
Provides:       dbus-1-qt:/usr/lib64/libdbus-qt-1.so.1
%else
Provides:       dbus-1-qt:/usr/lib/libdbus-qt-1.so.1
%endif
Autoreqprov:    on
Group:          Development/Libraries/Other
%package -n dbus-1-qt3-devel
Summary:        Mono Bindings for D-BUS
Requires:       dbus-1 = %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
Requires:       dbus-1-qt3 = %{version}-%{release}
Requires:       dbus-1-devel
Requires:       libstdc++-devel
Autoreqprov:    on
Group:          Development/Libraries/Other
%package -n dbus-1-x11
Summary:        X11-requiring add-ons for D-BUS
Group:          Development/Libraries/Other
Autoreqprov:    on
Requires:       dbus-1 = %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
%package -n dbus-1-devel-doc
Summary:        Developer package for D-BUS
Group:          Development/Libraries/Other
Autoreqprov:    on
Requires:       dbus-1 = %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)

%description -n dbus-1-gtk
D-BUS tools written using the GTK+ GUI libraries.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>


%description -n dbus-1-java
Java bindings for D-BUS



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>


%description -n dbus-1-python
Python bindings for D-BUS



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>


%description -n dbus-1-qt
QT4/KDE bindings for D-BUS



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>


%description -n dbus-1-qt-devel
D-BUS is a message bus system, a simple way for applications to talk to
one another. D-BUS supplies both a system daemon (for events such as
"new hardware device added" or "printer queue changed") and a
per-user-login-session daemon (for general IPC needs among user
applications). Also, the message bus is built on top of a general
one-to-one message passing framework, which can be used by any two apps
to communicate directly (without going through the message bus daemon).



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>


%description -n dbus-1-qt3
QT3/KDE bindings for D-BUS



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>


%description -n dbus-1-qt3-devel
QT3/KDE bindings for D-BUS



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>


%description -n dbus-1-x11
D-BUS contains some tools that require Xlib to be installed, those are
in this separate package so server systems need not install X.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>


%description -n dbus-1-devel-doc
D-BUS is a message bus system, a simple way for applications to talk to
one another. D-BUS supplies both a system daemon (for events such as
"new hardware device added" or "printer queue changed") and a
per-user-login-session daemon (for general IPC needs among user
applications). Also, the message bus is built on top of a general
one-to-one message passing framework, which can be used by any two apps
to communicate directly (without going through the message bus daemon).



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%prep
%setup -n dbus-%{version} -q
%if %suse_version > 930
%patch0
%endif
%patch1
%patch2
%patch3
%patch4
%patch5
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15
#disabled for now, causes crashes
#%patch16
%patch17
autoreconf -fi

%build
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fPIC -fstack-protector"
export CXXFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fstack-protector"
export PATH=/usr/bin:/usr/lib/qt3/bin:$PATH
export QTDIR="/usr/lib/qt3/"
./configure \
        --prefix=%{_prefix} \
        --sysconfdir="%{_sysconfdir}" \
        --localstatedir="%{_localstatedir}" \
        --libdir=%{_libdir} \
        --mandir=%{_mandir} \
        --with-xml=libxml \
        --with-init-scripts=suse \
        --enable-glib \
	--enable-qt \
	--with-qt-moc=/usr/bin/moc         \
        --enable-qt3 \
	--with-qt3-moc=/usr/lib/qt3/bin/moc        \
        --enable-gcj \
        --enable-python \
        --enable-gtk \
        --enable-xml-docs \
        --enable-doxygen-docs \
	--enable-dnotify \
        --enable-mono \
        --disable-mono-docs \
	--with-console-auth-dir=/var/run/resmgr/classes/desktop/
make
doxygen -u && doxygen

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/
install -m 0644 %SOURCE2 \
        $RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/
%suse_update_desktop_file $RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/dbus-1.desktop
# all the files live in /usr/lib, just this file has a wrong path
perl -pi -e "s|/usr/lib64|/usr/lib|" $RPM_BUILD_ROOT/%{_libdir}/pkgconfig/dbus-sharp.pc
# cleanup files not used in this specfile
rm -f $RPM_BUILD_ROOT/etc/dbus-1/session.conf
rm -f $RPM_BUILD_ROOT/etc/dbus-1/system.conf
rm -f $RPM_BUILD_ROOT/usr/bin/dbus-binding-tool
rm -f $RPM_BUILD_ROOT/usr/bin/dbus-cleanup-sockets
rm -f $RPM_BUILD_ROOT/usr/bin/dbus-daemon
rm -f $RPM_BUILD_ROOT/usr/bin/dbus-monitor
rm -f $RPM_BUILD_ROOT/usr/bin/dbus-send
#rm -rf $RPM_BUILD_ROOT/usr/include/dbus-1.0
# Remove headers that are in dbus-1-devel package
rm $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-address.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-bus.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-connection.h  \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-errors.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-glib-bindings.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-glib-error-enum.h\
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-glib-lowlevel.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-glib.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-gtype-specialized.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-macros.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-memory.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-message.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-pending-call.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-protocol.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-server.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-shared.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-threads.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus-types.h \
  $RPM_BUILD_ROOT/%{_includedir}/dbus-1.0/dbus/dbus.h
rm -f $RPM_BUILD_ROOT/usr/%_lib/libdbus-1.*
rm -f $RPM_BUILD_ROOT/usr/%_lib/libdbus-glib-1.*
rm -f $RPM_BUILD_ROOT/usr/%_lib/pkgconfig/dbus-1.pc
rm -f $RPM_BUILD_ROOT/usr/%_lib/pkgconfig/dbus-glib-1.pc
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/dbus-cleanup-sockets.1*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/dbus-daemon.1*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/dbus-monitor.1*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/dbus-send.1*
rm -f $RPM_BUILD_ROOT/usr/%_lib/dbus-1.0/include/dbus/dbus-arch-deps.h

%clean
%{__rm} -rf "%{buildroot}"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n dbus-1-java -p /sbin/ldconfig

%post -n dbus-1-python -p /sbin/ldconfig

%post -n dbus-1-qt -p /sbin/ldconfig

%post -n dbus-1-qt3 -p /sbin/ldconfig

%postun -n dbus-1-java -p /sbin/ldconfig

%postun -n dbus-1-python -p /sbin/ldconfig

%postun -n dbus-1-qt -p /sbin/ldconfig

%postun -n dbus-1-qt3 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%defattr(-,root,root)
#%dir %{_libdir}/pkgconfig
%dir %{_prefix}/lib/mono/gac/dbus-sharp
%{_libdir}/pkgconfig/dbus-sharp.pc
%{_prefix}/lib/mono/gac/dbus-sharp/*
%dir %{_prefix}/lib/mono/dbus-sharp
%{_prefix}/lib/mono/dbus-sharp/*

%files -n dbus-1-gtk
%defattr(-,root,root)
%{_bindir}/dbus-viewer

%files -n dbus-1-devel-doc
%defattr(-,root,root)
%doc doc/api/html
%doc doc/*.html doc/*.txt doc/file-boilerplate.c doc/TODO
# susehelp
%{_datadir}/susehelp

%files -n dbus-1-java
%defattr(-,root,root)
%{_javadir}/*.jar
%{_libdir}/*gcj*.so.*
%{_libdir}/*gcj*.a
%{_libdir}/*gcj*.la
%{_libdir}/*gcj*.so

%files -n dbus-1-python
%defattr(-,root,root)
%{_libdir}/python*/*

%files -n dbus-1-qt
%defattr(-,root,root)
%{_libdir}/libdbus-qt4-1.so.1*

%files -n dbus-1-qt-devel
%defattr(-,root,root)
%dir %{_includedir}/dbus-1.0
%dir %{_includedir}/dbus-1.0/dbus
%{_includedir}/dbus-1.0/dbus/qdbus.h
%{_includedir}/dbus-1.0/dbus/qdbusconnection.h
%{_includedir}/dbus-1.0/dbus/qdbuserror.h
%{_includedir}/dbus-1.0/dbus/qdbusmessage.h
%{_includedir}/dbus-1.0/dbus/qdbusserver.h
%{_includedir}/dbus-1.0/dbus/qdbusvariant.h
%{_libdir}/libdbus-qt4-1.a
%{_libdir}/libdbus-qt4-1.la
%{_libdir}/libdbus-qt4-1.so

%files -n dbus-1-qt3
%defattr(-,root,root)
%{_libdir}/libdbus-qt-1.so.1*

%files -n dbus-1-qt3-devel
%defattr(-,root,root)
%dir %{_includedir}/dbus-1.0
%dir %{_includedir}/dbus-1.0/dbus
%{_includedir}/dbus-1.0/dbus/connection.h
%{_includedir}/dbus-1.0/dbus/dbus-qt.h
%{_includedir}/dbus-1.0/dbus/message.h
%{_includedir}/dbus-1.0/dbus/server.h
%{_libdir}/libdbus-qt-1.a
%{_libdir}/libdbus-qt-1.la
%{_libdir}/libdbus-qt-1.so

%files -n dbus-1-x11
%defattr(-,root,root)
%{_bindir}/dbus-launch
%{_mandir}/man1/dbus-launch.1.gz

%changelog -n dbus-1-mono
* Sat May 06 2006 - kukuk@suse.de
- Really fix requires for dbus-1
* Tue May 02 2006 - lrupp@suse.de
- fix Requires for dbus-1 (#171473)
* Mon Apr 24 2006 - thoenig@suse.de
- Add patch (dbus-mono-exit-on-disconnect.diff) from Aaron Bockover
  to extend the API of the mono bindings for exit_on_disconnect()
  (Novell bug #167824).
* Wed Mar 15 2006 - thoenig@suse.de
- disable dbus-connection-blocks-on-poll.diff as it leads to
  crashes in applications using
  dbus_connection_send_with_reply_and_block ().
* Fri Mar 03 2006 - thoenig@suse.de
- Sync patches with dbus-1
* Fri Feb 24 2006 - aj@suse.de
- Sync patches with dbus-1.
* Thu Feb 23 2006 - jpr@suse.de
- Use upstream solution for 64bit marshalling (#116304)
- Guard against early garbage collection in unmanaged memory (#151273)
* Tue Feb 21 2006 - aj@suse.de
- Do not build example files.
- Do not require gtk-sharp.
* Sun Feb 19 2006 - aj@suse.de
- Fix dbus-1-sharp.pc for use on lib64 systems.
* Sat Feb 18 2006 - aj@suse.de
- Add missing headers to qt packages.
* Tue Feb 14 2006 - ro@suse.de
- move all bindings except for glib to dbus-1-mono specfile
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - meissner@suse.de
- use -fstack-protector.
* Sat Dec 17 2005 - thoenig@suse.de
- renamed sub package for Qt bindings from dbus-1-qt to dbus-1-qt3
- introducing Qt4 bindings, new package is dbus-1-qt
- renamed dbus-qt_compile_fix.diff to dbus-qt3_compile_fix.diff
- added -fno-strict-aliasing to CXXFLAGS
- modified patch:
  * removed configure.in parts of dbus-qt3_compile_fix.diff (fixed
  upstream)
- removed patches:
  * dbus-dnotify_configure-01.diff (now upstream)
  * dbus-dnotify_watchdirs-01.diff (now upstream)
* Fri Dec 09 2005 - ro@suse.de
- disable selinux
* Thu Oct 20 2005 - thoenig@suse.de
- added -fPIC to CFLAGS
* Wed Sep 21 2005 - thoenig@suse.de
- new upstream version 0.50.2 (skipped some)
- removed patches:
  * dbus-disable_kde_dependency.diff (upstream)
  * dbus-transaction_fix.diff (upstream)
  * dbus-session-connect.diff (upstream)
  * dbus-gcj_fix_for_gcc4_on_x86_64.diff (duplicated, see
  dbus-gcj_fixes.diff)
- modified patch:
  * dbus-gcj_fixes.diff (removed reference to $BUILD_ROOT in .la)
* Sat Sep 17 2005 - dmueller@suse.de
- make installed header files compileable with -pedantic
* Sat Sep 10 2005 - aj@suse.de
- Add hack to workaround a 64-bit bug in dbus-1-mono [#116304].
* Sun Sep 04 2005 - aj@suse.de
- Add check-build.sh.
* Tue Aug 30 2005 - thoenig@suse.de
- Added patch to fix session bus exploit (CAN-2005-0201, closes
  [#114043])
* Thu Aug 04 2005 - thoenig@suse.de
- Replaced previous workaround for #98264 with a proper fix
* Mon Jul 18 2005 - thoenig@suse.de
- new upstream version 0.35.2 (skipped 0.35 and 0.35.1)
- removed patches:
  * dbus-python_bindings_gcc4_fix.diff (obsolete)
  * dbus-console-auth-SuSE-01.diff (upstream)
- new patches:
  * dbus-gvalue-utils-fix.diff (function returned random data)
  * dbus-python_bindings_fix.diff (unititialized variable)
* Wed Jun 22 2005 - thoenig@suse.de
- new upstream version 0.34
* Thu Apr 28 2005 - thoenig@suse.de
- new upstream version 0.33
- fixed typo in 'rc.boot.dbus'
* Wed Apr 20 2005 - thoenig@suse.de
- D-BUS 0.33 (CVS 2005-04-19)
- ABI changes will affect depended packages: beagle, gnome, hal,
  ial, kdebase3, submount, tomboy. A tutorial to fix errors caused
  by the ABI/API change:
  http://people.redhat.com/johnp/files/dbus_0.23_to_0.30_porting_quickref.txt
* Wed Mar 16 2005 - thoenig@suse.de
- applied 'dbus-il-fix.patch' for dbus-1-mono to prevent a crash
  caused by change a in mono.
* Sun Mar 13 2005 - thoenig@suse.de
- applied `dbus-mono-leak.diff` which fixes memory leaks of the
  mono bindings.
* Sat Mar 12 2005 - thoenig@suse.de
- new upstream version 0.23.4
* Thu Mar 10 2005 - thoenig@suse.de
- new upstream version 0.23.3
* Thu Mar 03 2005 - dkukawka@suse.de
- fixed boot.dbus [see bug# 65775]
* Sun Feb 20 2005 - thoenig@suse.de
- new upstream version 0.23.2
* Tue Feb 15 2005 - dkukawka@suse.de
- update to new version 0.23.1
* Fri Feb 04 2005 - gekker@suse.de
- Use mono-devel-packages in neededforbuild
- pass --enable-mono in ./configure
- Make sure the symbolic link of dbus-sharp.dll is installed
* Thu Feb 03 2005 - thoenig@suse.de
- fixed assignment of .pc files
  * dbus-1.pc      is now owned by dbus-1-devel
  * dbus-glib-1.pc is now owned by dbus-1-glib
  * dbus-sharp.pc  is now owned by dbus-1-mono
* Fri Jan 28 2005 - dkukawka@suse.de
- fixed specfile of dbus
* Tue Jan 25 2005 - dkukawka@suse.de
- cleaned up requirements in spec-file
- disabled all unneeded bindings within ./configure to reduce
  buildtime
* Sun Jan 23 2005 - dkukawka@suse.de
- fix libdir directory for x86_64
* Thu Jan 13 2005 - dkukawka@suse.de
- update to new version [0.23]. For more infos read the Changelog
  of the src
* Wed Jan 12 2005 - dkukawka@suse.de
- changed some in dbus-1-mono.spec
* Tue Jan 11 2005 - ro@suse.de
- added /usr/lib/qt3/bin to PATH (for moc)
* Mon Nov 29 2004 - dkukawka@suse.de
- removed ExclusiveArch, since mono and gtk-sharp for other
  archs available (thanks to ro@suse.de)
* Sun Nov 28 2004 - dkukawka@suse.de
- moved package to ../done/I386 , package is only for %%ix86,
  because on other archs we don´t have gtk-sharp
- changed requirements [dbus = %%{version}-%%{dbus_release}]
* Sun Nov 28 2004 - dkukawka@suse.de
- init
